Videos APIEndpoints
Update a folder
Authorization
bearerAuth AuthorizationBearer <token>
Paste your VTurb API token (vt_...). Sent as Authorization: Bearer <token>.
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
curl -X PATCH "https://example.com/v1/folders/68b0000000000000000000a2" \ -H "Content-Type: application/json" \ -d '{ "name": "ACME Corp", "folder_id": null }'{ "id": "68b0000000000000000000a2", "name": "ACME", "kind": "videos", "folder_id": null, "created_at": "2026-07-28T12:00:00.000Z", "updated_at": "2026-07-28T13:00:00.000Z"}